package com.persagy.revit.models.monitor

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.v3.oas.annotations.media.Schema
import java.util.*

open class MntBase {
   @Schema(description = "表示是否有过重试")
    @JSONField(name = "HasRetry")
    var hasRetry : Boolean? = false

   @Schema(description = "表示是否出错")
    @JSONField(name = "HasError")
    var hasError : Boolean? = false

   @Schema(description = "错误信息")
    @JSONField(name = "ErrorMsg")
    var errorMsg : String? = null

   @Schema(description = "开始时间")
    @JSONField(name = "BeginTime")
    var beginTime : Date? = null

   @Schema(description = "结束时间")
    @JSONField(name = "EndTime")
    var endTime : Date? = null
}