package com.persagy.revit.models.request

import io.swagger.v3.oas.annotations.media.Schema

/**
 *
 *
 * @author jxing
 */
class UploadModelRequest {
   @Schema(description = "楼层名")
    var floorName: String? = null

   @Schema(description = "文件夹id")
    var folderId: String? = null

   @Schema(description = "项目id")
    var projectId: String? = null

   @Schema(description = "上传的模型文件名")
    var fileName: String? = null

   @Schema(description = "用户Id")
    var userId: String? = null

   @Schema(description = "用户名")
    var userName: String? = null

   @Schema(description = "备注")
    var note: String? = null

   @Schema(description = "替换原因, 默认0")
    var replaceReason: Int = 0

   @Schema(description = "文件总大小")
    var size: Long? = null

   @Schema(description = "模型的revit版本")
    var revitVersion: String? = null

}