package com.persagy.revit.backstage.model

import com.persagy.revit.models.jsonAnalyzer.Point
import com.alibaba.fastjson.annotation.JSONField

/**
 *
 *
 * @author jxing
 */
class DCFloor {

//    @JSONField(name = "floorID")
//    @JSONField(name = "Id")
    var id : String? = null

    // 更新FloorMap 为 文件服务器上的key
    @JSONField(name = "infos")
    var structureInfo : HashMap<String, String>? = null

    @JSONField(name = "modelId")
    var modelId : String? = null

    @JSONField(name = "outline")
    var outline : ArrayList<Point>? = null

    /** 楼层名称 */
//    @JSONField(name = "floorName")
    var name: String? = null

    /** 楼层本地名称 */
//    @JSONField(name = "floorLocalName")
    var localName: String? = null

    /** 建筑id */
    @JSONField(name = "buildingId")
    var buildId: String? = null
}