package com.persagy.revit.models.baseGraph

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Id

/**
 *
 *
 * @author jxing
 */
open class BGBaseComponent : BGBaseEntity(){

    /** 模型id */
   @Schema(description = "模型id")
    @Column(name = "id", updatable = false)
    @Id
    @JSONField(serialize = false)
    var id: String? = null

    /** 模型id(外键) */
   @Schema(description = "模型id(外键)")
    @Column(name = "model_id")
    @JSONField(serialize = false)
    var modelId: String? = null
}