package com.persagy.revit.models.dataCheck

import com.persagy.revit.models.modelFile.FloorModelView
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column

/**
 *
 *
 * @author jxing
 */
@Schema(description = "标高检查结果")
class LevelCheckResult : FloorModelView(){

   @Schema(description = "是否检测到错误")
    @Column(name = "has_error")
    var hasError: Boolean? = null

   @Schema(description = "错误信息")
    @Column(name = "error")
    var errorMsg: String? = null

   @Schema(description = "标高高度")
    @Column(name = "elevation")
    var elevation: Double? = null

}