package com.persagy.revit.models.entities

import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 项目
 * @author  Cainga
 * @date  2020/12/3 15:50
 */
@Schema(description = "项目")
@Table(name = "revit.project")
@JsonIgnoreProperties(ignoreUnknown = true)
open class Project {
    /** 项目id */
   @Schema(description = "项目id")
    @Column(name = "id", updatable = false)
    @Id
    var id: String? = null

    /** 项目名称 */
   @Schema(description = "项目名称")
    @Column(name = "name")
    var name: String? = null

}