package com.persagy.revit.models.monitor

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.v3.oas.annotations.media.Schema
import java.util.*

class MntModelExport : MntBase(){

   @Schema(description = "表示是否出错导致删除")
    @JSONField(name = "Remove")
    var remove : Boolean? = false

   @Schema(description = "jsonz导出文件的开始时间")
    @JSONField(name = "JsonzBeginTime")
    var jsonzBeginTime : Date? = null

   @Schema(description = "jsonz导出文件的结束时间")
    @JSONField(name = "JsonzEndTime")
    var jsonzEndTime : Date? = null

   @Schema(description = "表示jsonz文件的大小")
    @JSONField(name = "JsonzSize")
    var jsonzSize : Long? = null


}
