package com.persagy.revit.models.monitor

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.v3.oas.annotations.media.Schema

class MntMultiFloorCheck : MntBase(){


   @Schema(description = "标高检查是否通过")
    @JSONField(name = "LevelCheck")
    var levelCheck : Boolean? = false

   @Schema(description = "轴网检查是否通过")
    @JSONField(name = "GridCheck")
    var gridCheck : Boolean? = false
}
